Subject: Re: [PATCH v3 1/9] net: Add struct sockaddr_unspec for sockaddr of unknown length

From: Kees Cook <[email-masked]>
Date: Thu, 23 Oct 2025 09:33:20 -0700

On Wed, Oct 22, 2025 at 10:26:24AM +0100, David Laight wrote:
> If you do add a #define, it can generate the size from that of the
> supplied address structure (and error things that are stupidly short).

I have more patches coming that consolidate all the open-coded casting
and size checking into a macro. So far, only a couple places weren't
doing the full checking.

-- 
Kees Cook